GCLOUD_COMPUTE_HEALTH-CHECKS_UPDATE_SSL(1)

NAME

gcloud compute health-checks update ssl - update a SSL health check

SYNOPSIS

gcloud compute health-checks update ssl NAME [--check-interval=CHECK_INTERVAL] [--description=DESCRIPTION] [--healthy-threshold=HEALTHY_THRESHOLD] [--port=PORT] [--port-name=PORT_NAME] [--proxy-header=PROXY_HEADER] [--request=REQUEST] [--response=RESPONSE] [--timeout=TIMEOUT] [--unhealthy-threshold=UNHEALTHY_THRESHOLD] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute health-checks update ssl is used to update an existing SSL health check. Only arguments passed in will be updated on the health check. Other attributes will remain unaffected.

POSITIONAL ARGUMENTS

    NAME
        The name of the SSL health check.

FLAGS

    --check-interval=CHECK_INTERVAL
        How often to perform a health check for an instance. For example, specifying 10s will run the check every 10 seconds. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --description=DESCRIPTION
        A textual description for the SSL health check. Pass in an empty string to unset.

    --healthy-threshold=HEALTHY_THRESHOLD
        The number of consecutive successful health checks before an unhealthy instance is marked as healthy.

    --port=PORT
        The TCP port number that this health check monitors.

    --port-name=PORT_NAME
        The port name that this health check monitors. By default, this is empty. Setting this to an empty string will clear any existing port-name value.

    --proxy-header=PROXY_HEADER
        The type of proxy protocol header to be sent to the backend. PROXY_HEADER must be one of:

        NONE
            No proxy header is added.

        PROXY_V1
            Adds the header "PROXY UNKNOWN\r\n".

    --request=REQUEST
        Application data to send once the TCP connection has been established. By default, this is empty. If both request and response are empty, the connection establishment alone will indicate health of the TCP connection. Setting this to an empty string will clear any existing request value.

    --response=RESPONSE
        The bytes to match against the beginning of the response data. By default, this is empty. If empty, any response will indicate health of the TCP connection. Setting this to an empty string will clear any existing response value.

    --timeout=TIMEOUT
        If Google Compute Engine doesn't receive a healthy response from the instance by the time specified by the value of this flag, the health check request is considered a failure. For example, specifying 10s will cause the check to wait for 10 seconds before considering the request a failure. Valid units for this flag are ``s'' for seconds and ``m'' for minutes.

    --unhealthy-threshold=UNHEALTHY_THRESHOLD
        The number of consecutive health check failures before a healthy instance is marked as unhealthy.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.